List suppressed addresses

List suppressed addresses. View request and response details for this Samva email API endpoint.

GET
/v1/email/suppressions

Returns the addresses this organization will not send to, newest first, optionally filtered by suppression type, active or expired state, and an address substring. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

type?string
Value in"bounce""complaint""unsubscribe""manual"
status?string
Value in"active""expired"
search?string
Lengthlength <= 256
limit?|null
cursor?string

Response Body

SuppressionPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.listSuppressions({});
Example Response
{  "items": [    {      "id": "string",      "email": "string",      "type": "bounce",      "bounceType": "string",      "bounceSubType": "string",      "reason": "string",      "messageId": "string",      "isActive": true,      "expiresAt": "string",      "createdAt": "string"    }  ],  "nextCursor": "string"}

Related documentation